NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback

## 5.3. nvmlBridgeChipHierarchy_t Struct Reference

## [Device Structs]

This structure stores the complete Hierarchy of the Bridge Chip within the board. The immediate bridge is stored at index 0 of bridgeInfoList, parent to immediate bridge is at index 1 and so forth.

### Public Variables

struct nvmlBridgeChipInfo_t bridgeChipInfo[NVML_MAX_PHYSICAL_BRIDGE]
  Hierarchy of Bridge Chips on the board.
unsigned char bridgeCount
  Number of Bridge Chips on the Board.

### Variables

struct nvmlBridgeChipInfo_t nvmlBridgeChipHierarchy_t::bridgeChipInfo[NVML_MAX_PHYSICAL_BRIDGE] [inherited]

  Hierarchy of Bridge Chips on the board.

unsigned char nvmlBridgeChipHierarchy_t::bridgeCount [inherited]

  Number of Bridge Chips on the Board.

NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback